Package org.bukkit.event.weather

# Class WeatherEvent

java.lang.Object
org.bukkit.event.Event
org.bukkit.event.weather.WeatherEvent

Direct Known Subclasses:
  `LightningStrikeEvent`, `ThunderChangeEvent`, `WeatherChangeEvent`

public abstract class WeatherEvent extends Event
Represents a Weather-related event

## Nested Class Summary

## Nested classes/interfaces inherited from class org.bukkit.event.Event

`Event.Result`

## Field Summary

Fields
Modifier and Type
Field
Description
`protected World`
`world`

## Constructor Summary

Constructors
Constructor
Description
`WeatherEvent(@NotNull World where)`

## Method Summary

Modifier and Type
Method
Description
`final @NotNull World`
`getWorld()`
Returns the World where this event is occurring

### Methods inherited from class org.bukkit.event.Event

`callEvent, getEventName, getHandlers, isAsynchronous`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### world

protected World world

## Constructor Details

### WeatherEvent

public WeatherEvent(@NotNull @NotNull World where)

## Method Details

### getWorld

@NotNull public final @NotNull World getWorld()
Returns the World where this event is occurring

Returns:
  World this event is occurring in